import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule , Routes } from '@angular/router';

import { AppComponent } from './app.component';
import { EmployeeComponent } from './employee/employee.component';
import { ListemployeeComponent } from './listemployee/listemployee.component';
import { EmployeeTitlePipePipe } from './custome_pipe/employee-title-pipe.pipe';
import { FilteremployeelistComponent } from './listemployee/filteremployeelist/filteremployeelist.component';
import { HomeComponent } from './home/home.component';
import { PageNotFountComponent } from './Others/page-not-fount/page-not-fount.component';

const appRoutes: Routes = [
 {path: 'home' , component: HomeComponent },
 {path: 'employeelist' ,component:ListemployeeComponent },
 {path: 'newemployee' ,component:EmployeeComponent },
 {path: '' , redirectTo:'/home', pathMatch:'full'},
 {path: '**' ,component:PageNotFountComponent }
];

@NgModule({
  declarations: [
    AppComponent,
    EmployeeComponent,
    ListemployeeComponent,
    EmployeeTitlePipePipe,
    FilteremployeelistComponent,
    HomeComponent,
    PageNotFountComponent
  ],
  imports: [
    BrowserModule, FormsModule, HttpModule , RouterModule.forRoot(appRoutes),
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
