import { Component, OnInit, NgZone  } from '@angular/core';
import { Iemployees } from './iemployees';
import { EmployeesService } from './employees.service';
import { Observable } from 'rxjs/observable';
import { timer } from 'rxjs/observable/timer';

  let interval: any;

@Component({
  selector: 'app-listemployee',
  templateUrl: './listemployee.component.html',
  styleUrls: ['./listemployee.component.css'],
  providers: [EmployeesService]
})
export class ListemployeeComponent implements OnInit {

  selectedEmployeeCountRadioButton: String ='All';
  employees: Iemployees[];

  constructor(private _employeeService:EmployeesService,private _ngZone: NgZone){
      
  }

  ngOnInit(){
       this._employeeService.getEmployee().subscribe((employeeData)=>this.employees=employeeData['employee']); 
    // setInterval(() => {
    //    this._employeeService.getEmployee().subscribe((employeeData)=>this.employees=employeeData['employee']); 
    // }, 5000);
  }
  


   getEmployees() : void{
      this._employeeService.getNewEmployee().subscribe((employeeData)=>this.employees=employeeData['employee']);

  }
 //  getEmployees() : void{
 //  this.employees = [
	// {code:'EMP-1',firstName:'Shabeen',lastName:'VK',gender:'Male',salary:2000,dateofbirth:'5/08/1993'},
 //  {code:'EMP-2',firstName:'James',lastName:'Jo',gender:'Male',salary:3000,dateofbirth:'05/08/1990'},
 //  {code:'EMP-3',firstName:'Abhi',lastName:'N',gender:'Male',salary:3500,dateofbirth:'05/09/1991'},
 //  {code:'EMP-4',firstName:'Anu',lastName:'Mathew',gender:'Female',salary:2100,dateofbirth:'05/02/1995'},
 //  {code:'EMP-5',firstName:'Saniya',lastName:'Pallikal',gender:'Female',salary:2000,dateofbirth:'05/02/1992'},
 //  {code:'EMP-6',firstName:'Priya',lastName:'MK',gender:'Female',salary:3100,dateofbirth:'05/08/1980'}
	// ];
	// }

	trackByEmpCode(index:number ,employee:any):String{
            return employee.code;
	}

  onEmployeeCountRadioButtonChange(selectedRadioButtonValue: String): void{
    this.selectedEmployeeCountRadioButton = selectedRadioButtonValue;
  }

  getTotalEmployeesCount(): number{
   return this.employees.length;
  }
  getTotalMaleEmployeesCount(): number{
   return this.employees.filter(e => e.gender === "Male").length;
  }
  getTotalFemaleEmployeesCount(): number{
   return this.employees.filter(e => e.gender === "Female").length;
  }
  
  empSelected:any;
  selectEmpDetails(emp: Iemployees): void {
    this.empSelected  = emp;
  }

    //For attribute Binding
  columnSpan: number=2;




}
